// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

/**
 * <pre>
 * MISSING DOCUMENTATION!!!
 * </pre>
 *
 * Protobuf type {@code commonmodule.OperationDHFW}
 */
public final class OperationDHFW extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:commonmodule.OperationDHFW)
    OperationDHFWOrBuilder {
private static final long serialVersionUID = 0L;
  // Use OperationDHFW.newBuilder() to construct.
  private OperationDHFW(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private OperationDHFW() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new OperationDHFW();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDHFW_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDHFW_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.commonmodule.OperationDHFW.class, openfmb.commonmodule.OperationDHFW.Builder.class);
  }

  public static final int MODENA_FIELD_NUMBER = 1;
  private boolean modEna_ = false;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The modEna.
   */
  @java.lang.Override
  public boolean getModEna() {
    return modEna_;
  }

  public static final int OPLTMMSMAX_FIELD_NUMBER = 2;
  private openfmb.commonmodule.ClearingTime oplTmmsMax_;
  /**
   * <pre>
   * Open Loop Response Time
   * </pre>
   *
   * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the oplTmmsMax field is set.
   */
  @java.lang.Override
  public boolean hasOplTmmsMax() {
    return oplTmmsMax_ != null;
  }
  /**
   * <pre>
   * Open Loop Response Time
   * </pre>
   *
   * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The oplTmmsMax.
   */
  @java.lang.Override
  public openfmb.commonmodule.ClearingTime getOplTmmsMax() {
    return oplTmmsMax_ == null ? openfmb.commonmodule.ClearingTime.getDefaultInstance() : oplTmmsMax_;
  }
  /**
   * <pre>
   * Open Loop Response Time
   * </pre>
   *
   * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ClearingTimeOrBuilder getOplTmmsMaxOrBuilder() {
    return oplTmmsMax_ == null ? openfmb.commonmodule.ClearingTime.getDefaultInstance() : oplTmmsMax_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (modEna_ != false) {
      output.writeBool(1, modEna_);
    }
    if (oplTmmsMax_ != null) {
      output.writeMessage(2, getOplTmmsMax());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (modEna_ != false) {
      size += com.google.protobuf.CodedOutputStream
        .computeBoolSize(1, modEna_);
    }
    if (oplTmmsMax_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getOplTmmsMax());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.commonmodule.OperationDHFW)) {
      return super.equals(obj);
    }
    openfmb.commonmodule.OperationDHFW other = (openfmb.commonmodule.OperationDHFW) obj;

    if (getModEna()
        != other.getModEna()) return false;
    if (hasOplTmmsMax() != other.hasOplTmmsMax()) return false;
    if (hasOplTmmsMax()) {
      if (!getOplTmmsMax()
          .equals(other.getOplTmmsMax())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    hash = (37 * hash) + MODENA_FIELD_NUMBER;
    hash = (53 * hash) + com.google.protobuf.Internal.hashBoolean(
        getModEna());
    if (hasOplTmmsMax()) {
      hash = (37 * hash) + OPLTMMSMAX_FIELD_NUMBER;
      hash = (53 * hash) + getOplTmmsMax().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.commonmodule.OperationDHFW parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDHFW parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDHFW parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.commonmodule.OperationDHFW parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.commonmodule.OperationDHFW prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * Protobuf type {@code commonmodule.OperationDHFW}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:commonmodule.OperationDHFW)
      openfmb.commonmodule.OperationDHFWOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDHFW_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDHFW_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.commonmodule.OperationDHFW.class, openfmb.commonmodule.OperationDHFW.Builder.class);
    }

    // Construct using openfmb.commonmodule.OperationDHFW.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      modEna_ = false;
      oplTmmsMax_ = null;
      if (oplTmmsMaxBuilder_ != null) {
        oplTmmsMaxBuilder_.dispose();
        oplTmmsMaxBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.commonmodule.Commonmodule.internal_static_commonmodule_OperationDHFW_descriptor;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDHFW getDefaultInstanceForType() {
      return openfmb.commonmodule.OperationDHFW.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDHFW build() {
      openfmb.commonmodule.OperationDHFW result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.commonmodule.OperationDHFW buildPartial() {
      openfmb.commonmodule.OperationDHFW result = new openfmb.commonmodule.OperationDHFW(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.commonmodule.OperationDHFW result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.modEna_ = modEna_;
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.oplTmmsMax_ = oplTmmsMaxBuilder_ == null
            ? oplTmmsMax_
            : oplTmmsMaxBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.commonmodule.OperationDHFW) {
        return mergeFrom((openfmb.commonmodule.OperationDHFW)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.commonmodule.OperationDHFW other) {
      if (other == openfmb.commonmodule.OperationDHFW.getDefaultInstance()) return this;
      if (other.getModEna() != false) {
        setModEna(other.getModEna());
      }
      if (other.hasOplTmmsMax()) {
        mergeOplTmmsMax(other.getOplTmmsMax());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 8: {
              modEna_ = input.readBool();
              bitField0_ |= 0x00000001;
              break;
            } // case 8
            case 18: {
              input.readMessage(
                  getOplTmmsMaxFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private boolean modEna_ ;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The modEna.
     */
    @java.lang.Override
    public boolean getModEna() {
      return modEna_;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @param value The modEna to set.
     * @return This builder for chaining.
     */
    public Builder setModEna(boolean value) {

      modEna_ = value;
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return This builder for chaining.
     */
    public Builder clearModEna() {
      bitField0_ = (bitField0_ & ~0x00000001);
      modEna_ = false;
      onChanged();
      return this;
    }

    private openfmb.commonmodule.ClearingTime oplTmmsMax_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ClearingTime, openfmb.commonmodule.ClearingTime.Builder, openfmb.commonmodule.ClearingTimeOrBuilder> oplTmmsMaxBuilder_;
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the oplTmmsMax field is set.
     */
    public boolean hasOplTmmsMax() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The oplTmmsMax.
     */
    public openfmb.commonmodule.ClearingTime getOplTmmsMax() {
      if (oplTmmsMaxBuilder_ == null) {
        return oplTmmsMax_ == null ? openfmb.commonmodule.ClearingTime.getDefaultInstance() : oplTmmsMax_;
      } else {
        return oplTmmsMaxBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOplTmmsMax(openfmb.commonmodule.ClearingTime value) {
      if (oplTmmsMaxBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        oplTmmsMax_ = value;
      } else {
        oplTmmsMaxBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setOplTmmsMax(
        openfmb.commonmodule.ClearingTime.Builder builderForValue) {
      if (oplTmmsMaxBuilder_ == null) {
        oplTmmsMax_ = builderForValue.build();
      } else {
        oplTmmsMaxBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeOplTmmsMax(openfmb.commonmodule.ClearingTime value) {
      if (oplTmmsMaxBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          oplTmmsMax_ != null &&
          oplTmmsMax_ != openfmb.commonmodule.ClearingTime.getDefaultInstance()) {
          getOplTmmsMaxBuilder().mergeFrom(value);
        } else {
          oplTmmsMax_ = value;
        }
      } else {
        oplTmmsMaxBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearOplTmmsMax() {
      bitField0_ = (bitField0_ & ~0x00000002);
      oplTmmsMax_ = null;
      if (oplTmmsMaxBuilder_ != null) {
        oplTmmsMaxBuilder_.dispose();
        oplTmmsMaxBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ClearingTime.Builder getOplTmmsMaxBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getOplTmmsMaxFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ClearingTimeOrBuilder getOplTmmsMaxOrBuilder() {
      if (oplTmmsMaxBuilder_ != null) {
        return oplTmmsMaxBuilder_.getMessageOrBuilder();
      } else {
        return oplTmmsMax_ == null ?
            openfmb.commonmodule.ClearingTime.getDefaultInstance() : oplTmmsMax_;
      }
    }
    /**
     * <pre>
     * Open Loop Response Time
     * </pre>
     *
     * <code>.commonmodule.ClearingTime OplTmmsMax = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ClearingTime, openfmb.commonmodule.ClearingTime.Builder, openfmb.commonmodule.ClearingTimeOrBuilder> 
        getOplTmmsMaxFieldBuilder() {
      if (oplTmmsMaxBuilder_ == null) {
        oplTmmsMaxBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ClearingTime, openfmb.commonmodule.ClearingTime.Builder, openfmb.commonmodule.ClearingTimeOrBuilder>(
                getOplTmmsMax(),
                getParentForChildren(),
                isClean());
        oplTmmsMax_ = null;
      }
      return oplTmmsMaxBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:commonmodule.OperationDHFW)
  }

  // @@protoc_insertion_point(class_scope:commonmodule.OperationDHFW)
  private static final openfmb.commonmodule.OperationDHFW DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.commonmodule.OperationDHFW();
  }

  public static openfmb.commonmodule.OperationDHFW getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<OperationDHFW>
      PARSER = new com.google.protobuf.AbstractParser<OperationDHFW>() {
    @java.lang.Override
    public OperationDHFW parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<OperationDHFW> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<OperationDHFW> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.commonmodule.OperationDHFW getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

